Loading...
Searching...
No Matches
count.h File Reference

Go to the source code of this file.

## Enumerations

enum | _FatClusterFlag { FAT_FLAG_FREE =0 , FAT_FLAG_FILE =1 , FAT_FLAG_DIRECTORY =2 , FAT_FLAG_BAD =3 }

## Functions

struct | __attribute__ ((packed)) _FatClusterInfo
int | fat_collect_cluster_info (PedFileSystem *fs)
FatClusterFlag | fat_get_cluster_flag (PedFileSystem *fs, FatCluster cluster)
PedSector | fat_get_cluster_usage (PedFileSystem *fs, FatCluster cluster)
FatClusterFlag | fat_get_fragment_flag (PedFileSystem *fs, FatFragment frag)
int | fat_is_fragment_active (PedFileSystem *fs, FatFragment frag)

## Enumeration Type Documentation

## _FatClusterFlag

enum _FatClusterFlag

Enumerator
FAT_FLAG_FREE |
FAT_FLAG_FILE |
FAT_FLAG_DIRECTORY |
FAT_FLAG_BAD |

## Function Documentation

## __attribute__()

struct __attribute__ | ( | (packed) |  | ) |

## fat_collect_cluster_info()

int fat_collect_cluster_info | ( | PedFileSystem * | fs | ) |

extern

## fat_get_cluster_flag()

FatClusterFlag fat_get_cluster_flag | ( | PedFileSystem * | fs,
|  | FatCluster | cluster )

extern

## fat_get_cluster_usage()

PedSector fat_get_cluster_usage | ( | PedFileSystem * | fs,
|  | FatCluster | cluster )

extern

## fat_get_fragment_flag()

FatClusterFlag fat_get_fragment_flag | ( | PedFileSystem * | fs,
|  | FatFragment | frag )

extern

## fat_is_fragment_active()

int fat_is_fragment_active | ( | PedFileSystem * | fs,
|  | FatFragment | frag )

extern